> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive bank detailes for the account  

> Account bank detailes



## OpenAPI

````yaml get /account/details/{account}
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /account/details/{account}:
    get:
      tags:
        - Account
      summary: 'Receive bank detailes for the account  '
      description: Account bank detailes
      parameters:
        - name: account
          in: path
          description: Account ID
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: companyId
          in: query
          description: Company id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountDetails'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    AccountDetails:
      required:
        - account
        - bankDetails
        - provider
      properties:
        provider:
          type: string
          description: Account bank details provider
          example: reilsBank
        account:
          type: string
          description: Account ID
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        bankDetails:
          type: array
          items:
            $ref: '#/components/schemas/AccountDetails_bankDetails'
    AccountDetails_bankDetails:
      type: object
      properties:
        key:
          type: string
          description: Account bank details title
          example: iban
        value:
          type: string
          description: Account bank details value
          example: GB68PAYR04034497484799
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````